CVE-2017-9526

Priority
Low
Description
In Libgcrypt before 1.7.7, an attacker who learns the EdDSA session key
(from side-channel observation during the signing process) can easily
recover the long-term secret key. 1.7.7 makes a cipher/ecc-eddsa.c change
to store this session key in secure memory, to ensure that constant-time
point operations are used in the MPI library.
References
Bugs
Notes
 tyhicks> EdDSA support was added in 1.6.0
Assigned-to
mdeslaur
Package
Upstream:released (1.7.6-2)
Ubuntu 17.10 (Artful Aardvark):not-affected (1.7.6-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):released (1.6.5-2ubuntu0.3)
Ubuntu 17.04 (Zesty Zapus):released (1.7.6-1ubuntu0.1)
Patches:
Upstream:https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=commit;h=f9494b3f258e01b6af8bd3941ce436bcc00afc56
Upstream:https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libgcrypt.git;a=commit;h=91456759b887e153c4d4ce19538d478df260cab2
Package
Upstream:not-affected
Ubuntu 17.10 (Artful Aardvark):DNE
Ubuntu 12.04 ESM (Precise Pangolin):not-affected
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (1.5.3-2ubuntu4.4)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 17.04 (Zesty Zapus):DNE
More Information

Updated: 2017-10-23 12:33:10 UTC (commit 13562)